Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Machine::Patch

struct Nes::Api::Machine::Patch

Soft-patching context object. Used as input parameter to some of the image loading methods.

Field Summary
`bool` | `bypassChecksum` Set to true to bypass checksum validation.
`Result` | `result` Will contain the result of the operation after the image has been loaded.
`std::istream&` | `stream` Input stream containing the patch in UPS or IPS format.

Constructor Summary
`Patch( std::istream& s, bool b = false )` Constructor.

Field Detail

### bypassChecksum

    public bool bypassChecksum;

  Set to true to bypass checksum validation.

### result

    public Result result;

  Will contain the result of the operation after the image has been loaded.

### stream

    public std::istream& stream;

  Input stream containing the patch in UPS or IPS format.

Constructor Detail

### Patch

    public Patch( std::istream& s, bool b = false );

  Constructor.

Parameters:
  `s` - input stream
  `b` - true to bypass checksum validation, default is false

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD